<?php
/**
 * $Horde: genie/view.php,v 1.18 2005/01/03 14:34:50 jan Exp $
 *
 * Copyright 2003-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

define('GENIE_BASE', dirname(__FILE__));
require_once GENIE_BASE . '/lib/base.php';

/* If we aren't provided with an item, redirect to the wishlist. */
$item_id = Util::getFormData('item');
$wishlist_id = Util::getFormData('wishlist');
if (!isset($item_id)) {
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}
$share = $genie_shares->getShare($wishlist_id);
if (is_a($share, 'PEAR_Error') || !$share->hasPermission(Auth::getAuth(), PERMS_READ)) {
    $notification->push(_("You do not have permission to view the requested item."), 'horde.error');
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

/* Get the current item. */
$item = Genie::getItem($wishlist_id, $item_id);

/* Get the item's history. */
$history = &Horde_History::singleton();
$storage = &Genie_Driver::singleton($wishlist_id);
$log = $history->getHistory($storage->getGUID($item_id));
foreach ($log->getData() as $entry) {
    switch ($entry['action']) {
    case 'add':
        $created = $entry['ts'];
        break;

    case 'modify':
        $modified = $entry['ts'];
        break;
    }
}

/* Set the page title to the current item's name, if it exists. */
$title = (!$item) ? $item['name'] : _("Item Details");
$print_view = (Util::getFormData('print') == 'true');
if (!$print_view) {
    Horde::addScriptFile('popup.js', 'horde', true);
}
require GENIE_TEMPLATES . '/common-header.inc';

if ($print_view) {
    require_once $registry->get('templates', 'horde') . '/javascript/print.js';
} else {
    $print_link = Util::addParameter('view.php', array('item' => $item_id,
                                                       'wishlist' => $wishlist_id,
                                                       'print' => 'true'));
    $print_link = Horde::url($print_link);

    require GENIE_TEMPLATES . '/menu.inc';
}

/* Show the wishlist description if there is one. */
if ($share->get('desc')) {
    $descriptions = array($share->get('name') => $share->get('desc'));
    require GENIE_TEMPLATES . '/common-descriptions.inc';
}

/* If the requested item doesn't exist, display an error message. */
if (!$item) {
    require GENIE_TEMPLATES . '/view/no-item.inc';
} else {
    require GENIE_TEMPLATES . '/view/view.inc';
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
